# This file created by conda-build 2.1.15
# meta.yaml template originally from:
# Origin b'https://github.intel.com/SAT/pytables-recipe.git', commit b'801b2fd873c92f997e32d301b9fda578ed9d1e2c'
# ------------------------------------------------

package:
    name: pytables
    version: 3.4.2
source:
    fn: PyTables-v3.4.2.tar.gz
    patches:
        - intel_update_zlib_c_blosc.patch
    sha256: 629a0227bb2b315c5d97629073696609eaee41d0fc89e03f997412613cd46d3a
    url: https://github.com/PyTables/PyTables/archive/v3.4.2.tar.gz
build:
    detect_binary_files_with_prefix: 'False'
    entry_points:
        - pt2to3 = tables.scripts.pt2to3:main
        - ptdump = tables.scripts.ptdump:main
        - ptrepack = tables.scripts.ptrepack:main
        - pttree = tables.scripts.pttree:main
    features:
        - intel
    noarch: ''
    noarch_python: false
    number: '2'
    string: np113py27_intel_2
requirements:
    build:
        - vs2008_runtime 9.00.30729.6161 intel_0
        - numpy 1.13.3 py27_intel_6
        - tk 8.6.4 vc9_intel_26
        - six 1.10.0 py27_intel_8
        - icc_rt 2018.0.0 intel_1
        - mkl_fft 1.0.0 np113py27_intel_15
        - openssl 1.0.2l vc9_intel_0
        - vc 9.0 2
        - mkl_random 1.0.0 np113py27_intel_6
        - tcl 8.6.4 vc9_intel_17
        - numexpr 2.6.2 np113py27_intel_5
        - cython 0.27.1 py27_intel_0
        - openmp 2018.0.1 intel_0
        - bzip2 1.0.6 vc9_intel_13
        - python 2.7.14 intel_1
        - setuptools 27.2.0 py27_intel_0
        - hdf5 1.10.1 vc9_intel_0
        - zlib 1.2.11 vc9_intel_3
        - intelpython 2018.0.0 3
        - mkl 2018.0.1 intel_2
    run:
        - python
        - six
        - numpy x.x
        - numexpr
        - hdf5 1.10.1
        - zlib 1.2.*
        - bzip2
        - intelpython
test:
    commands:
        - python -c "from intel_tester import test_routine; test_routine.test_exec()"
        - pt2to3 -h
        - ptdump -h
        - ptrepack -h
        - pttree -h
    files:
        - intel_tester_config.py
    requires:
        - intel_tester
        - setuptools
        - mock
about:
    description: 'PyTables is a package for managing hierarchical datasets and designed
        to

        efficiently and easily cope with extremely large amounts of data. PyTables

        is built on top of the HDF5 library, using the Python language and the

        NumPy package.

        '
    dev_url: https://github.com/PyTables
    doc_url: http://www.pytables.org/
    home: http://www.pytables.org
    license: BSD
    license_file: LICENSE.txt
    summary: Manage hierarchical datasets to cope with large amounts of data
extra:
    final: true
